Groups
Link a group to a community
Adds a child group to a WhatsApp community. The path JID is the community (parent) JID and the body carries the child group JID to be linked.
Adds a child group to a WhatsApp community. The path JID is the community (parent) JID and the body carries the child group JID to be linked.
Authorization
bearerAuth AuthorizationBearer <token>
Per-user API token (UUID v4) sent as Authorization: Bearer <token>. Identifies the tenant and user.
In: header
Path Parameters
jid*string
Community (parent) JID (e.g. 120363039000000000@g.us).
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/groups/string/community/link" \ -H "Content-Type: application/json" \ -d '{ "group_jid": "120363040000000000@g.us" }'{ "success": true}{ "success": false, "error": "validation failed", "error_code": "VALIDATION_ERROR", "timestamp": "2026-06-15T12:00:00Z"}{ "success": false, "error": "validation failed", "error_code": "VALIDATION_ERROR", "timestamp": "2026-06-15T12:00:00Z"}{ "success": false, "error": "validation failed", "error_code": "VALIDATION_ERROR", "timestamp": "2026-06-15T12:00:00Z"}{ "success": false, "error": "validation failed", "error_code": "VALIDATION_ERROR", "timestamp": "2026-06-15T12:00:00Z"}{ "success": false, "error": "validation failed", "error_code": "VALIDATION_ERROR", "timestamp": "2026-06-15T12:00:00Z"}